Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.afp
Interface AFPRendererContextConstants

All Superinterfaces:
  RendererContextConstants

public interface AFPRendererContextConstants
extends RendererContextConstants

Defines a number of standard constants (keys) for use by the RendererContext class.

Field Summary
`static java.lang.String` | `AFP_FONT_INFO` The font information for the AFP renderer.
`static java.lang.String` | `AFP_GRAYSCALE` Key for a Boolean value that enables grayscale processing instead of color processing.
`static java.lang.String` | `AFP_PAINTING_STATE` The afp painting state
`static java.lang.String` | `AFP_RESOURCE_MANAGER` The afp resource manager

Fields inherited from interface org.apache.fop.render.RendererContextConstants
`FOREIGN_ATTRIBUTES, HANDLER_CONFIGURATION, HEIGHT, OUTPUT_STREAM, PAGE_VIEWPORT, WIDTH, XPOS, YPOS`

Field Detail

### AFP_GRAYSCALE

    public static final java.lang.String AFP_GRAYSCALE

  Key for a Boolean value that enables grayscale processing instead of color processing.

  See Also:
    Constant Field Values

### AFP_FONT_INFO

    public static final java.lang.String AFP_FONT_INFO

  The font information for the AFP renderer.

  See Also:
    Constant Field Values

### AFP_RESOURCE_MANAGER

    public static final java.lang.String AFP_RESOURCE_MANAGER

  The afp resource manager

  See Also:
    Constant Field Values

### AFP_PAINTING_STATE

    public static final java.lang.String AFP_PAINTING_STATE

  The afp painting state

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.